#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	chkconfig
Version		:	1.30
Release		:	17.2.0.rel%{?dist}
Summary		:	A system tool for maintaining the /etc/rc*.d hierarchy
Group		:	Applications/File

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://github.com/fedora-sysv/chkconfig

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz
Patch0		:	%{name}-%{version}-no_selinux-1.patch

#-----------------------------------------------------------------------------
BuildRequires	:	acl
BuildRequires	:	popt
BuildRequires	:	gettext

Requires	:	acl
Requires	:	attr
Requires	:	popt
#-----------------------------------------------------------------------------
%description
Chkconfig is a basic system utility.  It updates and queries runlevel
information for system services.  Chkconfig manipulates the numerous
symbolic links in /etc/rc.d, to relieve system administrators of some
of the drudgery of manually editing the symbolic links.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-, root,root,-)
%doc COPYING
%{_sbindir}/%{name}
%{_sysconfdir}/rc*.d
%{_sysconfdir}/init.d
%attr (0754,root,root) %{_sbindir}/service
%{_mandir}/man8/%{name}.8.gz
%exclude %{_mandir}/man8/alternatives.8.gz
%exclude %{_mandir}/man8/update-alternatives.8.gz
%exclude %{_mandir}/man8/ntsysv.8.gz

#=============================================================================
%prep
%setup -q
#removing selinux references and not compiling ntsysv
%patch  -P 0 -p1

%{__tar} xf %{SOURCE1}

#-----------------------------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} 					\
	DESTDIR=%{buildroot}			\
	MANDIR=%{_mandir}			\
	SBINDIR=%{_sbindir}			\
	install

%{__mkdir_p} %{buildroot}%{_sysconfdir}/rc.d/init.d
%{__ln_s} rc.d/init.d %{buildroot}%{_sysconfdir}/init.d

for n in 0 1 2 3 4 5 6;
  do
  %{__mkdir_p} %{buildroot}%{_sysconfdir}/rc.d/rc${n}.d
  %{__ln_s} rc.d/rc${n}.d %{buildroot}%{_sysconfdir}/rc${n}.d
  done

%{__mkdir_p} %{buildroot}%{_sysconfdir}/%{name}.d

%{__mkdir_p} %{buildroot}%{_sbindir}
%{__cp} %{name}-ok_addon/service %{buildroot}%{_sbindir}

%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
